package cmd

import (
	"fmt"
	"github.com/spf13/cobra"
)

var staticCmd = &cobra.Command{
  Use: "static",
  Short: "Manage static artifacts",
  Long: "There are many ways to ship software, one is simply to publish a bunch of files on a mirror.",
}

var publishCmd = &cobra.Command{
  Use: "publish",
  Short: "Publish a static artifact",
  Long: "Sending logic for a static artifact",
  Run: func(cmd *cobra.Command, args []string) {
        fmt.Println("Hugo Static Site Generator v0.9 -- HEAD")
  },
}

func init() {
	staticCmd.AddCommand(publishCmd)
	RootCmd.AddCommand(staticCmd)
}
